TRUNCATE `smartpub_dev`.`users`;
INSERT IGNORE INTO `smartpub_dev`.`users`
    (`id`, `role_id`, `name`, `known_as`, `phone`, `email`, `email_verified_at`, `password`, `is_active`, `remember_token`, `created_at`, `updated_at`, `deleted_at`)

    SELECT 
        `users`.`id`,
            case
                when `app_user`.`user_type` = "sysadmin" then "1"
                when `app_user`.`user_type` = "manager" then "3"
                when `app_user`.`user_type` = "administrator" then "2"
            end,
        `users`.`name`, `app_user`.`known_as`, `app_user`.`telephone`, `users`.`email`, `users`.`email_verified_at`, `users`.`password`, 1, `users`.`remember_token`, `users`.`created_at`, `users`.`updated_at`, null
    FROM `smartpub_uat`.`users`
    INNER JOIN `smartpub_uat`.`app_user`
    ON `app_user`.`id` = `smartpub_uat`.`users`.`id`
;

TRUNCATE `smartpub_dev`.`suppliers`;
INSERT INTO `smartpub_dev`.`suppliers`
    (`id`, `modified_by`, `name`, `supplier_code`, `email`, `REF`, `integrated`, `is_active`, `created_at`, `updated_at`, `deleted_at`)
SELECT 
    `id`, `modified_by`, `name`, `supplier_code`, `email`, 1, `integrated`, 1, `created_at`, `updated_at`, `deleted_at`
FROM `smartpub_uat`.`supplier`
;

TRUNCATE `smartpub_dev`.`pubs`;
INSERT INTO `smartpub_dev`.`pubs`
    (`id`, modified_by, `name`, contact_person, contact_number, address_line1, address_line2, city, postcode, country, email, eircode, account_no, HIL_payer_no, CBL_acc_no, is_active, created_at, updated_at, deleted_at)
SELECT 
    `id`, modified_by, `name`, '', '', `address`, '', '', '', '', `id`, eircode, account_no, HIL_payer_no, CBL_acc_no, 1, created_at, updated_at, deleted_at
FROM `smartpub_uat`.`client`
;

TRUNCATE `smartpub_dev`.`pub_user`;
INSERT INTO `smartpub_dev`.`pub_user`
    (`id`, `pub_id`, `user_id`, `created_at`, `updated_at`)
SELECT 
    `id`, `client_id`, `app_user_id`, `created_at`, `updated_at`
FROM `smartpub_uat`.`client_app_user`
;

TRUNCATE `smartpub_dev`.`pub_supplier`;
INSERT INTO `smartpub_dev`.`pub_supplier`
    (`id`, `pub_id`, `supplier_id`, `created_at`, `updated_at`)
SELECT 
    `id`, `client_id`, `supplier_id`, `created_at`, `updated_at`
FROM `smartpub_uat`.`client_supplier`
;

TRUNCATE `smartpub_dev`.`categories`;
INSERT INTO `smartpub_dev`.`categories`
    (`id`, modified_by, title, image, is_active, created_at, updated_at, deleted_at)
SELECT 
    `id`, `modified_by`, `type`, `placeholder_image`, 1, created_at, updated_at, deleted_at
FROM `smartpub_uat`.`product_type`
;

TRUNCATE `smartpub_dev`.`sub_categories`;
INSERT INTO `smartpub_dev`.`sub_categories`
    (`id`, modified_by, `category_id`, title, is_active, `image`, created_at, updated_at, deleted_at)
SELECT 
    `id`, `modified_by`, 1, `name`, 1, null, created_at, updated_at, deleted_at
FROM `smartpub_uat`.`product_subcategory`
;

TRUNCATE `smartpub_dev`.`products`;
INSERT IGNORE INTO `smartpub_dev`.`products`
    (`id`, sub_category_id, supplier_id, modified_by, title, SKU, brand_owner, description, purchase_UOM, price, is_active, image, created_at, updated_at, deleted_at)
SELECT 
    `id`, `product_subcategory_id`, IF(`supplier_id`, `supplier_id`, 4), `modified_by`, `name`, `SKU`, `brand_owner`, `description`, `purchase_UOM`, `price`, 1, `image`, `created_at`, `updated_at`, `deleted_at`
FROM `smartpub_uat`.`product`
;

TRUNCATE `smartpub_dev`.`product_pub`;
INSERT INTO `smartpub_dev`.`product_pub`
    (product_id, pub_id, target_qty, item_order, supplier_id, created_at, updated_at)
SELECT
    `target_stock_detail`.`product_id`, `target_stock`.`client_id`, `target_stock_detail`.`quantity`, `target_stock_detail`.`item_order`, `target_stock_detail`.`supplier_id`, `target_stock_detail`.`created_at`, `target_stock_detail`.`deleted_at`
FROM `smartpub_uat`.`target_stock`
INNER JOIN `smartpub_uat`.`target_stock_detail`
ON `target_stock_detail`.`target_stock_id` = `target_stock`.`id`
;

TRUNCATE `smartpub_dev`.`stocks`;
INSERT INTO `smartpub_dev`.`stocks`
    (`id`, `pub_id`, `modified_by`, `is_active`, `created_at`, `updated_at`, `deleted_at`)
SELECT 
    `id`, `client_id`, `modified_by`, 1, `created_at`, `updated_at`, `deleted_at`
FROM `smartpub_uat`.`stock`
;

TRUNCATE `smartpub_dev`.`product_stock`;
INSERT INTO `smartpub_dev`.`product_stock`
    (`id`, `product_id`, `stock_id`, `qty`, `created_at`, `updated_at`)
SELECT 
    `id`, `product_id`, `stock_id`, `quantity`, `created_at`, `updated_at`
FROM `smartpub_uat`.`stock_detail`
;


TRUNCATE `smartpub_dev`.`orders`;
INSERT INTO `smartpub_dev`.`orders`
    (`id`, `user_id`, `pub_id`, `is_confirmed`, `is_current`, `delivery_date`, `delivery_note`, `created_at`, `updated_at`, `deleted_at`)
SELECT 
    `id`, `modified_by`, `client_id`, 1, 1, `delivery_date`, `notes`, `order_date`, `updated_at`, `deleted_at`
FROM `smartpub_uat`.`order`
;

TRUNCATE `smartpub_dev`.`order_product`;
INSERT INTO `smartpub_dev`.`order_product`
    (`id`, `order_id`, `product_id`, `qty`, `stock`, `supplier_id`, `created_at`, `updated_at`)
SELECT 
    `id`, `order_id`, `product_id`, `quantity`, `stock_quantity`, `supplier_id`, `created_at`, `updated_at`
FROM `smartpub_uat`.`order_detail`
;

TRUNCATE `smartpub_dev`.`suborders`;
INSERT INTO `smartpub_dev`.`suborders`
    (`order_id`, `supplier_id`, `ref`, `is_sent`, `is_cancelled`, `is_ignored`, `created_at`, `updated_at`)
SELECT
    `order_id`, `supplier_id`, 'REF', 0, 0, 0, MIN(`created_at`), MAX(`updated_at`)
FROM `smartpub_dev`.`order_product`
GROUP BY `order_id`, `supplier_id`
;

TRUNCATE `smartpub_dev`.`product_suborder`;
INSERT INTO `smartpub_dev`.`product_suborder`
    (`suborder_id`, `product_id`, `qty`, `stock`, `created_at`, `updated_at`)
SELECT
    `suborders`.`id`, `order_product`.`product_id`, `order_product`.`qty`, `order_product`.`stock`, `order_product`.`created_at`, `order_product`.`updated_at` FROM `suborders`
LEFT JOIN `order_product`
ON `order_product`.`order_id` = `suborders`.`order_id` AND `order_product`.`supplier_id` = `suborders`.`supplier_id`
;



TRUNCATE `smartpub_dev`.`feedback`;
INSERT INTO `smartpub_dev`.`feedback`
    (`id`, rating, comment, user_id, created_at, updated_at, deleted_at)
SELECT 
    `id`, `rating`, comment, modified_by, created_at, updated_at, deleted_at
FROM `smartpub_uat`.`feedback`
;










