<?php

namespace App\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class HistoryExport implements WithMultipleSheets
{
    protected $stats;
    protected $timescale;
    protected $orders;

    public function __construct($stats, $timescale, $orders) {
        $this->stats = $stats;
        $this->timescale = $timescale;
        $this->orders = $orders;
    }

    public function sheets(): array {
        $sheets = [];

        $sheets[] = new HistoryExportOverview($this->stats, $this->timescale);

        foreach($this->orders AS $order) {
            $sheets[] = new NonIntegratedOrder($order);
        }

        return $sheets;
    }
}