<?php

namespace App\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\WithTitle;

class HistoryExportOverview implements FromView, WithTitle
{
    protected $stats;
    protected $timescale;

    public function __construct($stats, $timescale) {
        $this->stats = $stats;
        $this->timescale = $timescale;
    }

    public function title(): string {
        return "Overview";
    }

    public function view(): View {
        return view('order.history_export', ['stats' => $this->stats, 'timescale' => $this->timescale]);
    }
}