<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
//use App\Http\Requests\UserRequest;
use Illuminate\Http\Request;
use GuzzleHttp\Client;
use App\Http\Resources\UserCollection;
use App\Http\Resources\User as UserResource;
use App\User;
use Hash;

class AuthController extends Controller
{


    public function login(Request $request){

        $validatedData = $request->validate([
            'email' => ['required', 'email'],
            'password' => ['required']
        ]);

        //$validated = $request->validated();
    
        $user = User::where('email', $request->email)->first();
        if(!$user){
            return response(['message' => 'Invalid Email!']);
           }

        if (!Hash::check($request->password, $user->password)) {
            return response(['message' => 'Invalid Password!']);
           }
        

        $accessToken = $user->createToken('authToken')->accessToken;

        $data = $user->pubs;
        $pubs = array();
        $data->map(function($pub)use(&$pubs){
            $pub_obj = array();
            $pub_obj['id'] = $pub->id;
            $pub_obj['name'] = $pub->name;
            $pubs[] = $pub_obj; 
        });
        
        
        return response(['user' => new UserResource($user), 'access_token' => $accessToken, "pubs" => $pubs]);

    }



    public function register(Request $request){
    	   
            $user = new User;
            $user->name = $request->name;
            $user->phone = $request->telephone;
            $user->role_id = 4;
            $user->pub_id = 1;
            $user->email = $request->email;
            $user->password = Hash::make($request->password);
            $user->save();

$accessToken = $user->createToken('authToken')->accessToken;
return response(['user' => $user, 'access_token' => $accessToken]);




    }

    

}
