<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller; 
use Illuminate\Http\Request;
use App\Http\Resources\SdocCollection;
use App\Http\Resources\Sdoc as ProductResource;
use App\Models\Pub;
use App\Models\Sdoc;
use App\User;
use Auth;

class SdocController extends Controller
{     

    //add product to order
    public function index(Request $request) {
        $pub_id = $request->pub_id;
        if(!$pub_id){
            return response(["message" => "Missing pub_id"], 400);
        }
        if(!$this->check_pub_user($pub_id)){
            return response(["message" => "Access denied!"], 400);
        }

        $sdocs = Sdoc::where('pub_id', $pub_id)->get();
        return new SdocCollection($sdocs);
    }

    public function check_pub_user($given_pub_id){
        $user = User::where('id', Auth::user()->id)->first();

        $allowed = false;
        foreach($user->pubs AS $pub) {
          if ($pub->id == $given_pub_id) {
            $allowed = true;
          }
        }
        return $allowed;
    }//end of method
}