<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\UserCollection;
use App\Http\Resources\User as UserResource;
use App\Http\Controllers\Controller; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Permission;
use App\Models\Category;
use App\Models\Pub;
use App\User;
use Session;
use Hash;
use Auth;

class UserController extends Controller
{
    
    
    public function single(Request $request){
        $user = User::where('id', Auth::user()->id)->first();
        $data = $user->pubs;
        $pubs = array();
        $data->map(function($pub)use(&$pubs, $user){
            if ($user->role->title == 'PubAdmin') {
               $granted_permissions = DB::table('permissions')
                                         ->get();

               $permission_list = array();
               $granted_permissions->map(function($permission)use(&$permission_list){
                  $permission_list[] = $permission->title; 
                }); 
            } else {

               $granted_permissions = DB::table('permission_user')
                                         ->where('pub_id', $pub->id)
                                         ->where('user_id', $user->id)
                                         ->get();
            
               $permission_list = array();
               $granted_permissions->map(function($permission)use(&$permission_list){
                  $permission_list[] = $permission->permission; 
                }); 

            }
               $pub_obj = array();
               $pub_obj['id'] = $pub->id;
               $pub_obj['name'] = $pub->name;
               $pub_obj['permissions'] = $permission_list;
               $pubs[] = $pub_obj; 
             });

        return ['user' => new UserResource($user), "pubs" => $pubs];
    }

    public function edit(Request $request){
            $user = User::where('id', Auth::user()->id)->first();    
            if($request->known_as){
                $user->update(['known_as' => $request->known_as]); 
            }
            if($request->telephone){
               $user->update(['phone' => $request->telephone]);  
            }
            return new UserResource($user);
    }   
}
