<?php

namespace App\Http\Controllers\Delivery;

use App\Http\Controllers\Controller; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Delivery;
use App\Models\Supplier;
use App\Models\Pub;
use App\Models\Stock;
use App\User;
use Session;
use Auth;

class DeliveryController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('PubAdmin');
    }


   
     public function get_notes(){
        $pub_id = User::where('id', Auth::user()->id)->first()->pub_id;
        $suppliers = Supplier::where('is_active', 1)->get();
        $notes = array();
        $suppliers->map(function($supplier)use(&$notes, $pub_id){
                    $delivery = Delivery::where('pub_id', $pub_id)->where('supplier_id', $supplier->id)->first();
                    $notes_obj = array();
                    if(!$delivery){
                         $delivery = new Delivery;
                         $delivery->pub_id = $pub_id;
                         $delivery->supplier_id = $supplier->id;
                         $delivery->delivery_note = "Delivery note was not given.";
                         $delivery->save();
                        }
                    $notes_obj['id'] = $delivery->id;
                    $notes_obj['supplier'] = $supplier->name;
                    $notes_obj['note'] = $delivery->delivery_note;
                    $notes[] = $notes_obj;
                  });
                  
        return $notes;
     }//end of get_notes

    


    public function index(){
      return view('delivery.index', [
        'notes' => $this->get_notes()
      ]);
    }


    public function update(Request $request){
         Delivery::where('id', $request->input('id'))->update(['delivery_note' => $request->input('note')]);
         return redirect()->route('delivery.index');
      }
    
    

}






