<?php

namespace App\Http\Controllers\Feedback;

use App\Http\Controllers\Controller; 
use Illuminate\Http\Request; 
use App\Models\Feedback;
use Auth;

class FeedbackController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


     public function index(Request $request){
         return view('feedback.index', [
            'feedbacks' => Feedback::paginate(15)
        ]);
    }
    
    public function new(Request $request){
        if($request->isMethod('POST')){
            
            $validatedData = $request->validate(['rating' => ['required']]);

            $feedback = new Feedback;
            $feedback->user_id = $request->input('user_id');
            $feedback->rating = $request->input('rating');
            $feedback->comment = $request->input('comment');
            $feedback->save();

            
            return redirect()->route('feedback.single', [
                'feedback' => $feedback
            ]);
        }
        return view('feedback.new', [
            'feedback' => new feedback
        ]);
    }
    public function single(Feedback $feedback, Request $request){
        //return $feedback;
        return view('feedback.single', [
            'feedback' => $feedback
          ]);
    }
    public function edit(Feedback $feedback, Request $request){
        if($request->isMethod('POST')){
           $validatedData = $request->validate(['rating' => ['required']]);

            $feedback->rating = $request->input('rating');
            $feedback->comment = $request->input('comment');
            $feedback->save();

            return redirect()->route('feedback.single', [
                'feedback' => $feedback
            ]);
        }
        return view('feedback.edit', [
            'feedback' => $feedback
        ]);
    }
        
     public function delete(Feedback $feedback, Request $request){
        if($request->isMethod('POST') || $request->isMethod('DELETE')){
            $feedback->delete();
            return redirect()->route('feedback.index');
        }
        return view('feedback.delete', [
            'feedback' => $feedback
        ]);
    }   
}
