<?php

namespace App\Http\Controllers\Order;

use App\Http\Controllers\Controller; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\Supplier;
use App\Models\Delivery;
use App\Models\Pub;
use App\Models\Stock;
use App\Models\Order;
use App\Models\Suborder;
use App\User;
use Session;
use Auth;
use PDF;
use Carbon;

class AdminOrderController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


    public function get_all_sub_order_products($order, $status){
           $sub_orders = array();
           $suborders = Suborder::where('order_id', $order->id)->where('is_sent', $status)->where('is_cancelled', 0)->get();
           $suborders->map(function($suborder)use(&$sub_orders){
              $sub_order_obj = array();
              $sub_order_product = array();
              $sub_order_obj['id'] =  $suborder->id;
              $sub_order_obj['ref'] =  $suborder->ref;
              $sub_order_obj['supplier'] = $suborder->supplier->name;
              $suborder->products->map(function($product)use($suborder, &$sub_order_product){
                  $qty = DB::table('product_suborder')->where('suborder_id', $suborder->id)->where('product_id', $product->id)->first()->qty;
                  if($qty >= 1){
                      $product_obj = array();
                      $product_obj['title'] = $product->title;
                      $product_obj['price'] = $product->price;
                      $product_obj['qty'] = $qty;
                      $sub_order_product[] = $product_obj;
                    }//end of if qty
                });
              $sub_order_obj['products'] = $sub_order_product;
              $sub_orders[] = $sub_order_obj;
          });

           return $sub_orders;

    }





    public function get_order_info($order){
           $sub_orders = array();
           $suborders = Suborder::where('order_id', $order->id)->where('is_sent', 1)->get();
           $suborders->map(function($suborder)use(&$sub_orders){
              $sub_order_obj = array();
              $sub_order_product = array();
              $sub_order_obj['id'] =  $suborder->id;
              $sub_order_obj['ref'] =  $suborder->ref;
              $sub_order_obj['supplier'] = $suborder->supplier->name;
              $suborder->products->map(function($product)use($suborder, &$sub_order_product){
                  $qty = DB::table('product_suborder')->where('suborder_id', $suborder->id)->where('product_id', $product->id)->first()->qty;
                  if($qty >= 1){
                      $product_obj = array();
                      $product_obj['title'] = $product->title;
                      $product_obj['price'] = $product->price;
                      $product_obj['qty'] = $qty;
                      $sub_order_product[] = $product_obj;
                    }//end of if qty
                });
              $sub_order_obj['products'] = $sub_order_product;
              $sub_orders[] = $sub_order_obj;
          });

           return $sub_orders;

    }

     
    


     
     public function order_history(){
            $orders = Order::where('is_current', 0)->where('is_confirmed', 1)->orderBy('updated_at', 'desc')->paginate(15);
            return view('order.all_order', [
              'orders' => $orders
            ]);
     }

     public function current_order(){
            $orders = Order::where('is_current', 1)->where('is_confirmed', 1)->orderBy('updated_at', 'desc')->paginate(15);
            return view('order.admin_current_order', [
              'orders' => $orders
            ]);
     }


     public function single_order($id){
           //return $id;
           $order = Order::where('id', $id)->first();
           return view('order.single_order', [
              'sub_orders' => $this->get_order_info($order),
              'order' => $order,
           ]);

      
     }
    

    

}






