<?php

namespace App\Http\Controllers\Product;

use App\Http\Controllers\Controller;
use  Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Storage; 
use Maatwebsite\Excel\Facades\Excel;
use App\Models\SubCategory;
use App\Models\Category;
use App\Models\Product;
use App\Models\Supplier;
use Illuminate\Http\Request;
use Auth;
use Session;

class MultipleInputProductController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }




    public function bulk_upload(Request $request){
      if($request->isMethod('POST')){
         $validatedData = $request->validate([
           'bulk_upload' => 'required|mimes:csv,txt'
           ]);
         
         $request->file('bulk_upload')->storeAs('bulk_upload', 'products.csv');
         
         $this->multiple_input();
         return redirect()->route('product.index');
       }//if post
       return view('product.bulk_upload');
     }





    public function process_data(Request $request){
      if($request->isMethod('POST')){
      if($request->hasFile('bulk_upload')){
        $path = $request->file('bulk_upload')->getRealPath();
        $data = Excel::load($path)->get();
        return $data;
      }
    }
    return view('product.bulk_upload');
    
    }






   
    public function multiple_input(){
    $products = collect($this->get_data('app/bulk_upload/products.csv'));
    $errors = array();

    $products->map(function($product)use(&$errors){
      
      // if(array_key_exists($product['Category'],$product)){
      //   dd('www');
      // }
      if($product['Category'] == ''){
        //category not in the file
         echo "\n".$product['Category']."____Category not in the file___Error\n";
      }else{
            $category = $this->get_category($product['Category']);
            //echo "\nCategory ID: ".$category->id." Name: ".$category->title;
             if(!$category){
               //category is not in the DB, now creating not category array
               //first check if the category is already in not_categories var
               
               $category_obj = array();
               $category_obj['Category Name'] = $product['Category'];
               $errors[] = $category_obj;

               return 0;


             }
             //get sub category ID
            if($product['Sub-Category'] == ''){
                //echo "\n________________Sub Category___Error\n";
               }else{
                     $sub_category = $this->get_sub_category($category, $product['Sub-Category']);
                     // echo "\nSubCategory ID: ".$sub_category->id." Name: ".$sub_category->title; 
                      //get supplier ID


                     




                      if($product['Supplier'] == ''){
                          //echo "\n________________Supplier___Error\n";
                         }else{
                            $supplier = $this->get_supplier($product['Supplier']);
                            if($supplier == NULL){
                               //echo "\n Supplier NULL";
                               $supplier_id = 4;
                            }else{
                                  //echo "\nSupplier ID: ".$supplier->id." Name: ".$supplier->name;
                                  $supplier_id = $supplier->id;
                                 
                                }//if supplier not null
                                 //add product
                                 $product = $this->get_product($product, $sub_category->id, $supplier_id);
                                // echo "\nProduct ID: ".$product->id." Name: ".$product->title."\n";
                           }//if supplier 
                       
                  
                  }//if sub category in the file    

                  }//if the category in the file
            



    });
    //dd($not_categories);

  }//end of method



   private function get_category($title){
     $category = Category::where('title', $title)->first();
      // if(!$category){
      //    $category = new Category;
      //    $category->modified_by = Auth::user()->id;
      //    $category->title = $title;
      //    $category->save();
      // }
    return $category;
   }


   private function get_sub_category($category, $title){
     $sub_category = SubCategory::where('category_id', $category->id)->where('title', $title)->first();
      if(!$sub_category){
         $sub_category = new SubCategory;
         $sub_category->modified_by = Auth::user()->id;
         $sub_category->title = $title;
         $sub_category->category_id = $category->id;
         $sub_category->save();
      }

    return $sub_category;
   }

   private function get_supplier($supplier_code){
    $supplier = Supplier::where('supplier_code', $supplier_code)->where('integrated', 1)->first();
    if(!$supplier){
      $supplier = NULL;
    }
    return $supplier;
   }

  
    private function get_data($filename)
    {
        $csv = array_map("str_getcsv", file(storage_path($filename), FILE_SKIP_EMPTY_LINES));
        $keys = array_shift($csv);

        foreach ($csv as $i => $row) {
            $csv[$i] = array_combine($keys, $row);
        }

        return $csv;

    }




    private function get_product($file_product, $sub_category_id, $supplier_id){
           
           
          $title = preg_replace('!\s+!', ' ', $file_product['Product_Name']);
          $title = preg_replace('#[^A-Za-z0-9" "%*]#i', '', $title); 
          
          //echo $file_product['SKU']."--".$title."\n";

           $product = Product::where('title', $title)->first(); 
           
           if(!$product){


              $sku = preg_replace('!\s+!', ' ', $file_product['SKU']);
              $sku = preg_replace('#[^A-Za-z0-9" "%*]#i', '', $sku);

              $brand = preg_replace('!\s+!', ' ', $file_product['Brand']);
              $brand = preg_replace('#[^A-Za-z0-9" "%*]#i', '', $brand);

              $description = preg_replace('!\s+!', ' ', $file_product['Description']);
              $description = preg_replace('#[^A-Za-z0-9" "%*]#i', '', $description);

              $purchase_UOM = preg_replace('!\s+!', ' ', $file_product['Purchase UOM']);
              $purchase_UOM = preg_replace('#[^A-Za-z0-9" "%*]#i', '', $purchase_UOM);


               $product = new Product;
               $product->modified_by = Auth::user()->id;
               $product->sub_category_id = $sub_category_id;
               $product->supplier_id = $supplier_id;
               $product->title = $title;
               $product->SKU = $sku;
               $product->brand_owner = $brand;
               $product->description = $description;
               $product->purchase_UOM = $purchase_UOM;
               $product->save();
           }  

           return $product;
      
    }


    public function category_list(Request $request){
      if($request->isMethod('POST')){
         $validatedData = $request->validate([
           'category_select' => 'required|max:255',
           ]);

          return view('product.new', [
            'product' => new Product,
            'sub_categories' => SubCategory::where('category_id', $request->input('category_select'))->get(),
            'suppliers' => Supplier::all()
        ]);
      }
      return view('product.category_list', [
             'categories' => Category::all()
      ]); 
    }




   
    
    
}
