<?php

namespace App\Http\Controllers\Sdoc;

use App\Http\Controllers\Controller;
use App\Models\Sdoc;
use Illuminate\Http\Request;
use MicrosoftAzure\Storage\File\FileSharedAccessSignatureHelper;
use MicrosoftAzure\Storage\Common\Internal\Resources;
use Auth;

class SdocController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


    public function index(Request $request){
         return view('sdoc.index', [
            'sdocs' => Sdoc::orderBy('date', 'desc')->paginate(15),
            'all_sdocs' => Sdoc::get(),
        ]);
    }

    public static function generateLink($filename) {
        $endpointSuffix = env('AZURE_STORAGE_SUFFIX');
        $accountName = env('AZURE_STORAGE_ACCOUNT');
        $key = env('AZURE_STORAGE_KEY');
        $shareName = env('AZURE_STORAGE_SHARE');

        $expires = date("Y-m-d\TH:i:s\Z", strtotime('+2 hours'));

        $helper = new FileSharedAccessSignatureHelper($accountName, $key);
        $sasToken = $helper->generateFileServiceSharedAccessSignatureToken(Resources::RESOURCE_TYPE_FILE, "$shareName/" . $filename, 'r', $expires);
        $url = sprintf("https://%s.file.%s/%s/%s?%s", $accountName, $endpointSuffix, $shareName, $filename, $sasToken);
        
        return $url;
    }
}