<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Setting;
use Auth;

class SettingController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


     public function index(Request $request){
         return view('setting.index', [
            'data' => Setting::orderBy('created_at', 'desc')->paginate(15)
        ]);
    }
    
    public function new(Request $request){
        if($request->isMethod('POST')){  
           $validatedData = $request->validate([
           'name' => 'required|max:250',
           'value' => 'required',
           ]);
           
           $setting = new Setting;
           $setting->modified_by = Auth::user()->id;
           $setting->name = $request->input('name');
           $setting->value = $request->input('value');
           $setting->save();  

            return redirect()->route('setting.single', [
                'setting' => $setting->id
            ]);
        }
        return view('setting.new', [
            'setting' => new Setting,
        ]);
    }
    public function single(Setting $setting, Request $request){
        return view('setting.single', [
            'setting' => $setting
        ]);
    }
    public function delete(Setting $setting, Request $request){
        if($request->isMethod('POST') || $request->isMethod('DELETE')){
            $setting->delete();
            return redirect()->route('setting.index');
        }
        return view('setting.delete', [
            'setting' => $setting
        ]);
    }   
}
