<?php

namespace App\Http\Controllers\Stock;

use App\Http\Controllers\Controller; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\Pub;
use App\Models\Stock;
use App\User;
use Session;
use Auth;

class StockHistoryController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


     public function index(Request $request){
        $pub_id = User::where('id', Auth::user()->id)->first()->pub_id;
        
         return view('stock.stock_history', [
            'stocks' => Stock::where('pub_id', $pub_id)->where('is_active', 0)->get()
        ]);
    }
    
    public function new(Request $request){
              //return 'new';
           
              $pub_id = User::where('id', Auth::user()->id)->first()->pub_id;
              $is_found = Stock::where('pub_id', $pub_id)->where('is_active', 1)->first();
              
              if($is_found){
                 $is_found->update([
                    'is_active' => 0
                 ]);
              }

              $stock = new Stock;
              $stock->pub_id = $pub_id;
              $stock->save();
              

              $products =  Pub::where('id', $pub_id)->first()->products;
              // if(!$products){
              //    dd("No Favorite products");
              // }

              foreach($products as $product){
                      $check = DB::table('product_stock')->insert([
                         'product_id' => $product->id,
                         'stock_id' => $stock->id,
                         'qty' => 0, 
                      ]);
                     }
              //dd('Yes, products');
             return redirect()->route('stock.index');
          }

        



    public function edit(Request $request){
      dd($request);
    }


    

    public function single(Product $product, Request $request){
        return view('pub_product.single', [
            'product' => $product
        ]);
    }
  
    public function delete(Product $product, Request $request){
        if($request->isMethod('POST') || $request->isMethod('DELETE')){
            DB::table('product_pub')->where('product_id', $product->id)->where('pub_id', User::where('id', Auth::user()->id)->first()->pub_id)->delete();
            return redirect()->route('pub_product.index');
        }
        return view('pub_product.delete', [
            'product' => $product
        ]);
    }   
}
