<?php

namespace App\Http\Controllers;

use App\Models\TermsAndCondition;
use Illuminate\Http\Request;
use Auth;

class TermsAndConditionController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('Admin');
    }


     public function index(Request $request){
         return view('t_and_c.index', [
            'data' => TermsAndCondition::orderBy('created_at', 'desc')->paginate(15)
        ]);
    }
    
    public function new(Request $request){
        if($request->isMethod('POST')){  
           $validatedData = $request->validate([
           'version' => 'required|unique:terms_and_conditions|max:100',
           'description' => 'required',
           ]);
           
           $t_and_c = new TermsAndCondition;
           $t_and_c->modified_by = Auth::user()->id;
           $t_and_c->version = $request->input('version');
           $t_and_c->description = $request->input('description');
           $t_and_c->save();  

            return redirect()->route('t_and_c.single', [
                't_and_c' => $t_and_c->id
            ]);
        }
        return view('t_and_c.new', [
            't_and_c' => new TermsAndCondition,
        ]);
    }
    public function single(TermsAndCondition $t_and_c, Request $request){
        return view('t_and_c.single', [
            't_and_c' => $t_and_c
        ]);
    }
    public function delete(TermsAndCondition $t_and_c, Request $request){
        if($request->isMethod('POST') || $request->isMethod('DELETE')){
            $t_and_c->delete();
            return redirect()->route('t_and_c.index');
        }
        return view('t_and_c.delete', [
            't_and_c' => $t_and_c
        ]);
    }   
}
