<?php

namespace App\Http\Middleware;

use Closure;
use Redirect;
use Auth;
use Session;

class SupplierAdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
      switch (Auth::user()->role->title) {
            case 'SuperAdmin':
                 Session::put('role_id', Auth::user()->role->id);
                 return $next($request);
                 break;
            case 'Admin':
                 Session::put('role_id', Auth::user()->role->id);
                 return $next($request);
                 break;
            case 'SupplierAdmin':
                                if(Auth::user()->supplier_id == NULL){
                                   return Redirect::to('permission_denied');
                                   break;  
                                }
                                Session::put('role_id', Auth::user()->role->id);
                                Session::put('supplier_id', Auth::user()->supplier_id);
                                return $next($request);
                                break;
             default: return Redirect::to('permission_denied');        
        }
    }
}
