<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use MicrosoftAzure\Storage\File\FileSharedAccessSignatureHelper;
use MicrosoftAzure\Storage\Common\Internal\Resources;
use App\Http\Controllers\Sdoc\SdocController;

class Sdoc extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
                'id' => $this->id,
                'pub_id' => $this->pub_id,
                'invoice' => $this->invoice,
                'filename' => $this->filename,
                'link' => $this->generateLink(),
                'date' => $this->date
            ];
    }

    public function generateLink() {
        if ($this->link) return $this->link;

        $link = SdocController::generateLink($this->filename);

        $this->link = $link;

        return $link;
    }
}
