<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use SoftDeletes;

    protected $fillable = ['title', 'image', 'modified_by', 'is_active'];


    public function subCategories()
    {
        return $this->hasMany('App\Models\SubCategory');
    }
    
    public function remove(){
    	$this->subCategories()->delete();
    	return $this->delete();
    }
    
}
