<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Delivery extends Model
{
     use SoftDeletes;

    protected $fillable = [
	    	               'pub_id', 
	    	               'supplier_id',
	    	               'order_id',
	    	               'delivery_note' 
    	                  ];


    public function supplier(){
        return $this->belongsTo('App\Models\Supplier');
    }

    public function order(){
        return $this->belongsTo('App\Models\Order');
    }

    public function pub(){
        return $this->belongsTo('App\Models\Pub');
    }


}
