<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Order extends Model
{
    use SoftDeletes;

    protected $fillable = ['user_id', 'pub_id', 'is_confirmed', 'delivery_date', 'delivery_note'];


    public function pub(){
        return $this->belongsTo('App\Models\Pub');
    }

    public function user(){
        return $this->belongsTo('App\User');
    }

    public function deliveries(){
        return $this->hasMany('App\Models\Delivery');
    }

    public function suborders(){
        return $this->hasMany('App\Models\Suborder');
    }

    public function suppliers(){
        return $this->belongsToMany('App\Models\Supplier');
    }

    public function products(){
        return $this->belongsToMany('App\Models\Product');
    }





}
