<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Product extends Model
{
    use SoftDeletes;

    protected $fillable = [
	    	               'sub_category_id', 
	    	               'supplier_id', 
	    	               'modified_by', 
	    	               'title',
	    	               'SKU',
	    	               'brand_owner',
	    	               'description',
	    	               'purchase_UOM',
	    	               'price',
	    	               'is_active',
	    	               'image',    
    	             ];


   /**
     * Get the subcategory that owns the product.
     */
    public function subCategory(){
        return $this->belongsTo('App\Models\SubCategory');
    }

    public function orders(){
        return $this->belongsToMany('App\Models\Order');
    }

    public function suborders(){
        return $this->belongsToMany('App\Models\Suborder');
    }

    public function supplier(){
        return $this->belongsTo('App\Models\Supplier', 'supplier_id', 'id');
    }

    public function stocks(){
        return $this->belongsToMany('App\Models\Stock');
    }

    public function pubs(){
        return $this->belongsToMany('App\Models\Pub');
    }



}

