<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Pub extends Model
{
    use SoftDeletes;

    protected $fillable = [
	    	               'modified_by', 
	    	               'name',
	    	               'contact_person',
	    	               'contact_number',
	    	               'address_line1',
	    	               'address_line2',
	    	               'city',
	    	               'postcode',
                           'country',
                           'email',
	    	               'eircode',
	    	               'account_no',
	    	               'HIL_payer_no',
	    	               'CBL_acc_no',    
    	             ];


    public function stock(){
        return $this->hasMany('App\Models\Stock');
    }

    public function orders(){
        return $this->hasMany('App\Models\Order');
    }

     public function products(){
        return $this->belongsToMany('App\Models\Product');
    }

     public function deliveries(){
        return $this->hasMany('App\Models\Delivery', 'pub_id', 'id');
    }
     public function suppliers(){
        return $this->belongsToMany('App\Models\Supplier');
    }
    public function users(){
        return $this->belongsToMany('App\User');
    }


}

