<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SubCategory extends Model
{
    use SoftDeletes;

    protected $fillable = ['title', 'modified_by', 'category_id', 'is_active'];


    public function products(){
        return $this->hasMany('App\Models\Product');
    }

    public function category(){
        return $this->belongsTo('App\Models\Category');
    }

     public function remove(){
    	$this->products()->delete();
    	return $this->delete();
    }
}
