<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Suborder extends Model
{
    use SoftDeletes;

    protected $fillable = ['order_id', 'supplier_id', 'is_sent', 'is_cancelled'];


    public function order(){
        return $this->belongsTo('App\Models\Order');
    }

    public function supplier(){
        return $this->belongsTo('App\Models\Supplier');
    }

    public function products(){
        return $this->belongsToMany('App\Models\Product');
    }





}
