<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Supplier extends Model
{
    use SoftDeletes;

    protected $fillable = [
	    	               'modified_by', 
	    	               'name',
	    	               'supplier_code',
	    	               'email',
	    	               'REF',
	    	               'integrated' 
    	                  ];


    public function user(){
        return $this->hasMany('App\User', 'supplier_id', 'id');
    }

    public function orders(){
        return $this->hasMany('App\Models\Suborder');
    }

    public function products(){
        return $this->hasMany('App\Models\Product', 'supplier_id', 'id');
    }

    public function deliveries(){
        return $this->hasMany('App\Models\Supplier');
    }
     public function pubs(){
        return $this->belongsToMany('App\Models\Pub');
    }



}
