<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Blade;

class NavServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        Blade::if('Supplier', function(){
            return auth()->user() && auth()->user()->role->title == 'SupplierAdmin';
        });

        Blade::if('PubAdmin', function(){
            return auth()->user() && auth()->user()->role->title == 'PubUser';
        });

        Blade::if('PubManager', function(){
            return auth()->user() && auth()->user()->role->title == 'PubAdmin';
        });

        Blade::if('Admin', function(){
            return auth()->user() && auth()->user()->role->title == 'Admin';
        });

        Blade::if('SuperAdmin', function(){
            return auth()->user() && auth()->user()->role->title == 'SuperAdmin';
        });
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
