<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePubsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pubs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('modified_by')->default(1);
            $table->string('name', 100);
            $table->string('contact_person')->nullable();
            $table->string('contact_number')->nullable();
            $table->string('address_line1');
            $table->string('address_line2')->nullable();
            $table->string('city', 100);
            $table->string('postcode', 50);
            $table->string('country', 100);
            $table->string('email', 100)->unique();
            $table->string('eircode', 32)->nullable();
            $table->string('account_no', 32)->nullable();
            $table->string('HIL_payer_no', 32)->nullable();
            $table->string('CBL_acc_no', 32)->nullable();
            $table->boolean('is_active')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pubs');
    }
}
