<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('sub_category_id');
            $table->unsignedBigInteger('supplier_id');
            $table->unsignedBigInteger('modified_by');//user_id
            $table->string('title', 100);
            $table->string('SKU');
            $table->string('brand_owner');  
            $table->text('description')->nullable();
            $table->string('purchase_UOM')->nullable();
            $table->float('price', 8, 2)->nullable();
            $table->boolean('is_active')->default(1);
            $table->string('image')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
