@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Admin</div>
                <div class="card-body">
                    <div class="card-options">
                       <div class="d-flex justify-content-start mb-3">
                            <div class="p-2">
                                <h2>Edit {{ $admin->name }}</h2>
                            </div>
                        </div>
                        <div class="d-flex justify-content-end mb-3">   
                            <div class="p-2">
                                <a href="{{ route('admin.index') }}">
                                    <button type="button" class="btn btn-light">Admin List</button>
                                </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ route('admin.edit', ['admin' => $admin->id])}}" method="POST" class="form form--edit row">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" placeholder="Name" name="name" value="{{ $admin->name }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="last_name">Known as</label>
                                    <input type="text" class="form-control" name="known_as" value="{{ $admin->known_as }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Phone</label>
                                    <input type="text" class="form-control" placeholder="Phone" name="phone" value="{{ $admin->phone }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" placeholder="Email" name="email" value="{{ $admin->email }}" required>
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
