@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Admin</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                           <a href="{{ route('admin.new') }}">
                              <button type="button" class="btn btn-light">Add New Administrator</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                  </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Known As</th>
                            <th>Role</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($admins as $admin)  
                          <tr>
                            <td>{{ $admin->name }}</td>
                            <td>{{ $admin->known_as }}</td>
                            <td>{{ $admin->role->title }}</td>
                            <td>
                                <a href="{{ route('admin.single', ['admin' => $admin->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>

                  <div class="card-pagination">
                    {{ $admins->links() }}
                    <span class="list-total">Total: {{ $admins->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
