@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product Category</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit {{ $category->title }}</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('category.index') }}">
                                    <button type="button" class="btn btn-light">Category List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            <form action="{{ route('category.edit', ['category' => $category->id]) }}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="title">Category Name</label>
                                    <input type="text" class="form-control" value="{{$category->title}}" name="title">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Upload Image</label>
                                    <input type="file" class="form-control" name="image">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
