@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product Categories</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                          <div class="p-2">
                             <a href="{{ route('category.new') }}">
                                <button type="button" class="btn btn-light">Add New</button>
                             </a>
                          </div><!--End of p-2-->
                    </div>      
                    <div class="d-flex justify-content-end mb-3">
                          <div class="p-2">
                             <a href="{{ route('product.index') }}">
                                <button type="button" class="btn btn-light">Product</button>
                             </a>
                          </div><!--End of p-2-->
                          <div class="p-2">
                             <a href="{{ route('sub_category.index') }}">
                                <button type="button" class="btn btn-light">Sub Category</button>
                             </a>
                          </div><!--End of p-2-->
                          <div class="p-2">
                             <a href="{{ route('supplier.index') }}">
                                <button type="button" class="btn btn-light">Supplier</button>
                             </a>
                          </div><!--End of p-2-->
                      </div><!--End of d-flex-->
                    </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Image</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($categories as $category)  
                          <tr>
                            <td>{{$category->id}}</td>
                            <td>{{$category->title}}</td>
                            <td>
                                
                              @if($category->image != NULL)
                             <a href="{{ route('category.single', ['category' => $category->id]) }}">
                                 <img src="https://dev.smartpub.app-ic.co.uk/admin/{{$category->image}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                              </a>
                              @else
                                 <a href="{{ route('category.single', ['category' => $category->id]) }}">
                                    <img src="{{asset('images/placeholder_image.jpg')}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                                 </a>
                              @endif  
                          
                            </td>
                            
                            <td>
                                <a href="{{ route('category.single', ['category' => $category->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $categories->links() }}
                    <span class="list-total">Total: {{ $categories->total() }}</span>
                  </div>
                  
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
