@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product Category</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <a href="{{ route('category.index') }}">
                                <button type="button" class="btn btn-light">Go Back</button>
                            </a>
                        </div>
  
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                              <h1>{{ $category->title }}</h1>
                            </div>
                        </div><!--End of d-flex-->

                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                 <a href="{{ route('category.edit', ['category' => $category->id]) }}">
                                       <button type="button" class="btn btn-light">Edit</button>
                                 </a>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                 <a href="{{ route('category.delete', ['category' => $category->id]) }}">
                                     <button type="button" class="btn btn-outline-primary">Delete</button>
                                  </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                  
                        <div class="d-flex mb-3 sq-clear">
                            <div class="p-2">
                                @if($category->image != NULL)
                                    <div class="product-image" style="background-image: url('https://dev.smartpub.app-ic.co.uk/admin/{{$category->image}}');"></div>
                                @else
                                    <div class="product-image" style="background-image: url('{{asset('images/placeholder_image.jpg')}}');"></div>
                                @endif
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <table class="table table--single">
                                    <tr>
                                        <td>ID</td>
                                        <td>{{ $category->id }}</td>
                                    </tr>
                                    <tr>
                                        <td>Name</td>
                                        <td>{{ $category->title }}</td>
                                    </tr>
                                </table>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

