@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Delivery Notes</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Please, check your delivery note.</h2>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                          <a href="{{ route('delivery.index') }}">
                              <button type="button" class="btn btn-light">Delivery Note</button>
                           </a>
                        </div>
                        <div class="p-2">
                          <a href="{{ route('order.current') }}">
                              <button type="button" class="btn btn-light">Order</button>
                           </a>
                        </div>
                    </div>
                  </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Supplier</th>
                            <th>Delivery Note</th>
                            <th>Update</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($notes as $note)  
                          <tr>
                            <td>{{$note['supplier']}}</td>
                            <td>{{$note['note']}}</td>
                            <td>
                               <form action="{{ route('delivery.update')}}" method="POST">
                                @csrf
                                <input type="hidden" name="id" value="{{$note['id']}}">
                                <div class="form-group">
                                  <textarea class="form-control" rows="5" name="note"></textarea>
                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                               </form>
                            </td>                            
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                </div><!--End of card-body-->
            </div>
        </div>
  
    </div>
</div>
@endsection