@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Feedback</div>
                <div class="card-body">
                    <div class="card-options">
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Given Date</th>
                            <th>Given By</th>
                            <th>Rating</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($feedbacks as $feedback)  
                          <tr>
                            <td>{{ $feedback->id}}</td>
                            <td>{{ $feedback->created_at->format('d-m-Y') }}</td>
                            <td>{{ $feedback->user->name ?? ""}}</td>
                            <td>{{ $feedback->rating }}</td>
                            <td>
                                <a href="{{ route('feedback.single', ['feedback' => $feedback->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  
                  <div class="card-pagination">
                    {{ $feedbacks->links() }}
                    <span class="list-total">Total: {{ $feedbacks->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
