@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Current Order</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-end mb-3">
                           <div class="p-2">
                           <a href="{{URL::to('current_order')}}">
                              <button type="button" class="btn btn-light">Current Order</button>
                           </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{URL::to('all_order')}}">
                              <button type="button" class="btn btn-light">Order History</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Date</th>
                            <th>Pub Name</th>
                            <th>Details</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($orders as $order)  
                          <tr>
                            <td>{{$order->id}}</td>
                            <td>{{$order->updated_at->format('d-m-Y')}}</td>
                            <td>{{$order->pub->name ?? ''}}</td>
                            <td>
                                <a href="{{ URL::to('single_order/'.$order->id) }}">
                                  <button type="button" class="btn btn-light">Details</button>
                                </a>  
                            </td>                            
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{$orders->links()}}
                    <span class="list-total">Total: {{ $orders->total() }}</span>
                  </div>
                  
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
