@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Current Order</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-end mb-3">   
                        <div class="p-2">
                           <a href="{{ route('order.new_product') }}">
                              <button type="button" class="btn btn-light">Add Products to Order</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('order.history') }}">
                              <button type="button" class="btn btn-light">Order History</button>
                           </a>
                        </div>
                         <div class="p-2">
                           <a href="{{ route('stock.current') }}">
                              <button type="button" class="btn btn-light">Current Stock</button>
                           </a>
                        </div>
                    </div>
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Product List</h2>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                          <a href="{{ route('order.confirm') }}">
                              <button type="button" class="btn btn-light">Confirm</button>
                           </a>
                        </div>
                        <div class="p-2">
                          <a href="{{ route('delivery.index') }}">
                              <button type="button" class="btn btn-light">Delivery Note</button>
                           </a>
                        </div>
                    </div>    
                  </div>   
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Product Name</th>
                            <th>Supplier</th>
                            <th>Total</th>
                            <th>Update</th>
                            <th>Remove</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($products as $product)  
                          <tr>
                            <td>{{$product['title']}}</td>
                            <td>{{$product['supplier']}}</td>
                            <td>{{$product['qty']}}</td>
                            <td>
                              <form action="{{ route('order.update_qty')}}" method="POST">
                                @csrf
                                <input type="hidden" name="product_id" value="{{$product['product_id']}}">
                                <input type="hidden" name="order_id" value="{{$product['order_id']}}">
                                <table class="table">        
                                     <tbody>
                                         <tr>
                                          <td>
                                             <input type="text" class="form-control" name="qty" value="{{$product['qty']}}">
                                          </td>
                                          <td><button type="submit" class="btn btn-primary">Update</button></td>
                                        </tr>
                                     </tbody>
                                </table> 
                               </form>     
                            </td>
                            <td>
                              <form action="{{ route('order.remove_product')}}" method="POST">
                                @csrf
                                <input type="hidden" name="product_id" value="{{$product['product_id']}}">
                                <input type="hidden" name="order_id" value="{{$product['order_id']}}">
                                <button type="submit" class="btn btn-primary">Remove</button>
                                        
                               </form>     
                            </td>                            
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                </div><!--End of card-body-->
            </div>
        </div>
  
    </div>
</div>
@endsection
