@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Order History</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-end mb-3">   
                        <div class="p-2">
                           <a href="{{ route('stock.history') }}">
                              <button type="button" class="btn btn-light">Stock History</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.target') }}">
                              <button type="button" class="btn btn-light">Target Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.current') }}">
                              <button type="button" class="btn btn-light">Current Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('order.current') }}">
                              <button type="button" class="btn btn-light">Order</button>
                           </a>
                        </div>
                    </div>
                  </div>    
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Date</th>
                            <th>Details</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($orders as $order)  
                          <tr>
                            <td>{{$order->id}}</td>
                            <td>{{$order->updated_at->format('d-m-Y')}}</td>
                            <td>
                                <a href="{{ route('order.single', ['order' => $order->id]) }}">
                                  <button type="button" class="btn btn-light">Details</button>
                                </a>  
                            </td>                            
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{$orders->links()}}
                    <span class="list-total">Total: {{ $orders->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
