@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Add New Product</div>
                <div class="card-body">

                  <div class="card-options">
                    <div class="d-flex justify-content-end mb-3">   
                        <div class="p-2">
                           <a href="{{ route('pub_product.new') }}">
                              <button type="button" class="btn btn-light">Add Favorite Products</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('pub_product.index') }}">
                              <button type="button" class="btn btn-light">Favorite Products</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.target') }}">
                              <button type="button" class="btn btn-light">Target Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.current') }}">
                              <button type="button" class="btn btn-light">Current Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('order.current') }}">
                              <button type="button" class="btn btn-light">Order</button>
                           </a>
                        </div>
                    </div>
                  </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Category</th>
                            <th>Sub Category</th>
                            <th>Supplier</th>
                            <th>Details</th>
                            <th>Add Now</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($products as $product)  
                          <tr>
                            <td>{{$product->title}}</td>
                            <td>{{$product->subCategory->category->title}}</td>
                            <td>{{$product->subCategory->title}}</td>
                            <td>{{$product->supplier->name}}</td>
                            <td>
                                <a href="{{ route('pub_product.single', ['product' => $product->id]) }}">
                                   <button type="button" class="btn btn-light">Details</button>
                                </a>   
                            </td>
                            <td>
                              <form action="{{ route('order.new_product') }}" method="POST">
                                    @csrf
                                    <input type="hidden" name="product_id" value="{{$product->id}}"> 
                                    <button type="submit" class="btn btn-primary">Add Now</button>
                              </form>   
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $products->links() }}
                    <span class="list-total">Total: {{ $products->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
      
    </div>
</div>
@endsection
