@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Order</div>
                <div class="card-body">
                  <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                           <a href="{{ route('order.history') }}">
                              <button type="button" class="btn btn-light">Order History</button>
                           </a>
                        </div>
                    </div>
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Order Details</h2>
                        </div>
                    </div>
                     <table class="table">
                        <thead>
                          <tr>
                            <th>Sub Order Ref Number</th>
                            <th>Supplier</th>
                            <th>Details</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($sub_orders as $sub_order)
                                  <tr>
                                    <td>{{$sub_order['ref']}}</td>
                                    <td>{{$sub_order['supplier']}}</td>
                                    <td>
                                        <table class="table">
                                          <th style="background-color: #006666">Product</th>
                                          <th style="background-color: #006666">Quantity</th>
                                          <th style="background-color: #006666">Price</th>
                                              @foreach($sub_order['products'] as $product)
                                                 <tr>
                                                   <td>{{ $product['title'] }}</td>
                                                   <td>{{ $product['qty'] }}</td>
                                                   <td>{{ $product['price'] }}</td>
                                                 </tr>
                                              @endforeach
                                        </table>
                                    </td>                            
                                  </tr>
                          @endforeach
                        </tbody>
                  </table>
                </div><!--End of card-body-->
            </div>
        </div>
  
    </div>
</div>
@endsection
