
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-around mb-3">

                            <div class="d-flex justify-content-start mb-3 page-title">
                                <div class="p-2">
                                    <h2>Bulk Upload</h2>
                                </div>  
                            </div> 
                            <div class="d-flex justify-content-end mb-3 page-edit">
                                <a href="{{ route('product.index') }}">
                                    <button type="button" class="btn btn-light">Product List</button>
                                </a>
                            </div>

                        </div><!--End of d-flex-->
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ URL::to('bulk_upload') }}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="title">Please upload product csv file</label>
                                    <input type="file" class="form-control" name="bulk_upload">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Upload</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
