@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit {{ $product->title }}</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('product.index') }}">
                                    <button type="button" class="btn btn-light">Product List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{route('product.edit', ['product' => $product->id])}}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="title">Product Name</label>
                                    <input type="text" class="form-control" value="{{$product->title}}" name="title">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">SKU</label>
                                    <input type="text" class="form-control" value="{{$product->SKU}}" name="SKU">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Brand Owner</label>
                                    <input type="text" class="form-control" value="{{$product->brand_owner}}" name="brand_owner">
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="comment">Description:</label>
                                    <textarea class="form-control" rows="5" name="description">{{$product->description}}</textarea>
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="title">Purchase UOM</label>
                                    <input type="text" class="form-control" value="{{$product->purchase_UOM}}" name="purchase_UOM">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Upload Image</label>
                                    <input type="file" class="form-control" name="image">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div><!--End of card-body-->
                </div>
            </div>
        </div>
    </div>
</div>
@endsection