@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit {{ $product->title }}</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('product.index') }}">
                                    <button type="button" class="btn btn-light">Product List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
    
                            <form action="{{route('product.edit', ['product' => $product->id])}}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf




<div class="form-group col-sm-4">
    <label for="title">Category</label>
    <input type="text" class="form-control" value="{{$product->subCategory->category->title}}" id="show_category">
    <div class="form-group col-sm-4" id="category_list" style="display: none;">
   
    <div class="form-check">
      <label class="form-check-label" for="radio1">
        <input type="radio" class="form-check-input" id="radio1" name="optradio" value="option1" checked>Option 1
      </label>
    </div>
    <div class="form-check">
      <label class="form-check-label" for="radio2">
        <input type="radio" class="form-check-input" id="radio2" name="optradio" value="option2">Option 2
      </label>
    </div>
    <div class="form-check">
      <label class="form-check-label">
        <input type="radio" class="form-check-input" disabled>Option 3
      </label>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>

    </div><!--End of id=category_list-->
</div>



<div class="form-group col-sm-4">
    <label for="title">Sub Category</label>
    <input type="text" class="form-control" value="{{$product->subCategory->title}}" id="show_sub_category">
    <div class="form-group col-sm-4" id="sub_category_list" style="display: none;">
    test sub, gg kk dd
    </div><!--End of id sub_category_list--> 
</div>              






                                <div class="form-group col-sm-4">
                                    <label for="title">Product Name</label>
                                    <input type="text" class="form-control" value="{{$product->title}}" name="title">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">SKU</label>
                                    <input type="text" class="form-control" value="{{$product->SKU}}" name="SKU">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Brand Owner</label>
                                    <input type="text" class="form-control" value="{{$product->brand_owner}}" name="brand_owner">
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="comment">Description:</label>
                                    <textarea class="form-control" rows="5" name="description">{{$product->description}}</textarea>
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="title">Purchase UOM</label>
                                    <input type="text" class="form-control" value="{{$product->purchase_UOM}}" name="purchase_UOM">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Upload Image</label>
                                    <input type="file" class="form-control" name="image">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div><!--End of card-body-->
                </div>
            </div>
        </div>
    </div>
</div>
@endsection