@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Products</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                          <div class="p-2">
                             <a href="{{ route('product.category_list') }}">
                                <button type="button" class="btn btn-light">Add New</button>
                             </a>
                          </div><!--End of p-2-->
                    </div>      
                    <div class="d-flex justify-content-end mb-3">
                          <div class="p-2">
                             <input type="text" class="form-control" placeholder="Search" list="servicelist" onchange="showProduct(this.value)">
                             <datalist id="servicelist">
                                @foreach($all_products as $product)
                                
                                   <option value="{{$product->id }}">{{$product->title }}</option>
                                 
                                @endForeach
                             </datalist>
                          </div><!--End of p-2-->
                          <div class="p-2">
                             <a href="{{ route('category.index') }}">
                                <button type="button" class="btn btn-light">Category</button>
                             </a>
                          </div><!--End of p-2-->
                          <div class="p-2">
                             <a href="{{ route('sub_category.index') }}">
                                <button type="button" class="btn btn-light">Sub Category</button>
                             </a>
                          </div><!--End of p-2-->
                          <div class="p-2">
                             <a href="{{ route('supplier.index') }}">
                                <button type="button" class="btn btn-light">Supplier</button>
                             </a>
                          </div><!--End of p-2-->
                      </div><!--End of d-flex-->
                    </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>
                                <a href="{{ route('product.index') }}">
                                   Name<span class="material-icons">keyboard_arrow_up</span>
                                </a>
                              
                            </th>
                            <th>
                                <a href="{{ route('product.index') }}">
                                   SKU<span class="material-icons">keyboard_arrow_up</span>
                                </a>
                            </th>
                            <th>
                                <a href="{{ route('product.index') }}">
                                   Brand Owner<span class="material-icons">keyboard_arrow_up</span>
                                </a>
                            </th>
                            <th>Purchase UOM</th>
                            <th>Supplier</th>
                            <th>Image</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($products as $product)  
                          <tr>
                            <td>{{$product->id}}</td>
                            <td>{{$product->title}}</td>
                            <td>{{$product->SKU}}</td>
                            <td>{{$product->brand_owner}}</td>
                            <td>{{$product->purchase_UOM}}</td>
                            <td>{{$product->supplier->name ?? ''}}</td>
                            <td>

                              @if($product->image != NULL)

                              <a href="{{ route('product.single', ['product' => $product->id]) }}">
                                 <img src="{{$product->image}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                              </a>
                              @else
                                 <a href="{{ route('product.single', ['product' => $product->id]) }}">
                                    <img src="{{asset('images/placeholder_image.jpg')}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                                 </a>
                              @endif
                            </td>
                            <td>
                                <a href="{{ route('product.single', ['product' => $product->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $products->links() }}
                    <span class="list-total">Total: {{ $products->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
