
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-around mb-3">

                            <div class="d-flex justify-content-start mb-3 page-title">
                                <div class="p-2">
                                    <h2>2. Create a new Product</h2>
                                </div>  
                            </div> 
                            <div class="d-flex justify-content-end mb-3 page-edit">
                                <a href="{{ route('product.index') }}">
                                    <button type="button" class="btn btn-light">Product List</button>
                                </a>
                            </div>

                        </div><!--End of d-flex-->
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{route('product.new')}}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf

           
                                <div class="form-group col-sm-4">
                                    <label for="col-sm-2 control-label">Select Sub Category</label>
                                    <select class="form-control" name="sub_category_select">
                                        @foreach($sub_categories as $sub_category)
                                            <option value="{{$sub_category->id}}">{{$sub_category->title}}</option>
                                        @endforeach        
                                    </select>
                                </div>
                                

                                <div class="form-group col-sm-4">
                                    <label for="col-sm-2 control-label">Select Supplier</label>
                                    <select class="form-control" name="supplier_select">
                                        @foreach($suppliers as $supplier)
                                            <option value="{{$supplier->id}}">{{$supplier->name}}</option>
                                        @endforeach        
                                    </select>
                                </div>

                            
                                <div class="form-group col-sm-4">
                                    <label for="title">Product Name</label>
                                    <input type="text" class="form-control" placeholder="Product Name" name="title">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">SKU</label>
                                    <input type="text" class="form-control" placeholder="SKU" name="SKU">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Brand Owner</label>
                                    <input type="text" class="form-control" placeholder="Brand Owner" name="brand_owner">
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="comment">Description:</label>
                                    <textarea class="form-control" rows="5" name="description"></textarea>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Purchase UOM</label>
                                    <input type="text" class="form-control" placeholder="Purchase UOM" name="purchase_UOM">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Upload Image</label>
                                    <input type="file" class="form-control" name="image">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
