@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit {{ $pub->name }}</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('pub.index') }}">
                                    <button type="button" class="btn btn-light">Pub List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ route('pub.edit', ['pub' => $pub->id])}}" method="POST" class="form form--edit row">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="title">Pub Name</label>
                                    <input type="text" class="form-control" name="pub_name" value="{{ $pub->name }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="name">Contact Person</label>
                                    <input type="text" class="form-control" name="contact_person" value="{{ $pub->contact_person }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="last_name">Contact Number</label>
                                    <input type="text" class="form-control" name="contact_number" value="{{ $pub->contact_number }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="address_line1">Address Line 1</label>
                                    <input type="text" class="form-control" name="address_line1" value="{{ $pub->address_line1 }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="address_line2">Address Line 2</label>
                                    <input type="text" class="form-control" name="address_line2" value="{{ $pub->address_line2 }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="city">City</label>
                                    <input type="text" class="form-control" name="city" value="{{ $pub->city }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="postcode">Postcode</label>
                                    <input type="text" class="form-control" name="postcode" value="{{ $pub->postcode }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label  for="country">Country</label>
                                    <input type="text" class="form-control" name="country" value="{{ $pub->country }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Email</label>
                                    <input type="text" class="form-control" name="email" value="{{ $pub->email }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label  for="phone">Eircode</label>
                                    <input type="text" class="form-control" name="eircode" value="{{ $pub->eircode }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Account Number</label>
                                    <input type="text" class="form-control" name="account_no" value="{{ $pub->account_no }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">HIL Payer Number</label>
                                    <input type="text" class="form-control" name="HIL_payer_no" value="{{ $pub->HIL_payer_no }}">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">CBL Account Number</label>
                                    <input type="text" class="form-control" name="CBL_acc_no" value="{{ $pub->CBL_acc_no }}">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

