@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit Permission</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('pub.index') }}">
                                    <button type="button" class="btn btn-light">Pub List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ URL::to('edit_permission')}}" method="POST" class="form form--edit row">
                                @csrf
                                <input type="hidden" name="pub_id" value="{{ $pub_id }}">
                                <input type="hidden" name="user_id" value="{{ $user_id }}">
                                @foreach($processed_permissions as $permission)
                                        @if($permission['is_granted'] == true)
                                        <div class="form-check-inline">
                                       <label class="form-check-label">
                                           <input type="checkbox" class="form-check-input" value="{{ $permission['id'] }}" name="{{ $permission['title'] }}" checked>
                                           {{ $permission['title'] }}
                                       </label>
                                        </div>
                                        @else
                                        <div class="form-check-inline">
                                       <label class="form-check-label">
                                           <input type="checkbox" class="form-check-input" value="{{ $permission['id'] }}" name="{{ $permission['title'] }}">
                                           {{ $permission['title'] }}
                                       </label>
                                        </div>
                                        @endif 
                                  @endforeach
                                     
                                <br>
                                <br>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection


