@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">       
                        <div class="p-2">
                           <a href="{{ route('pub.new') }}">
                              <button type="button" class="btn btn-light">Add New</button>
                           </a>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mb-3">   
                      <div class="p-2">
                            <form method="post" action="{{URL::to('search_pub')}}">
                              @csrf
                             <input type="text" class="form-control" placeholder="Search" id="search_pub" name="search_pub">
                           </form>
                      </div><!--End of p-2-->
                  </div>

                  <table class="table">
                    <thead>
                      <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>City</th>
                        <th>Contact Number</th>
                        <th>View</th>
                      </tr>
                    </thead>
                    <tbody>
                      @foreach($pubs as $pub)  
                      <tr>
                        <td>{{ $pub->id }}</td>
                        <td>{{ $pub->name }}</td>
                        <td>{{ $pub->city }}</td>
                        <td>{{ $pub->contact_number }}</td>
                        <td>
                            <a href="{{ route('pub.single', ['pub' => $pub->id]) }}">
                              <button type="button" class="btn btn-light">View</button>
                            </a>  
                        </td>
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $pubs->links() }}
                    <span class="list-total">Total: {{ $pubs->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
