@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub User</div>
                <div class="card-body">
                    <div class="card-options">
                        


                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Create a new Pub User</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                               <a href="{{ route('pub.index') }}">
                                    <button type="button" class="btn btn-light">Pub List</button>
                               </a>
                            </div>   
                            <div class="p-2">
                                <a href="{{ route('pub_manager.index') }}">
                                    <button type="button" class="btn btn-light">Pub Admin List</button>
                                </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form  method="POST" action="{{ URL::to('add_new_pub_manager_submit')}}" class="form form--edit row">
                                @csrf
                                <input type="hidden" name="pub_select" value="{{ $selected_pub_id}}" />

                                <div class="form-group col-sm-4">
                                    <label for="sel1">User Type</label>
                                    <select class="form-control" name="user_type">
                                        <option value="">Please select user type</option>
                                        <option value="pub_user">Pub User</option>
                                        <option value="pub_admin">Pub Admin</option>
                                    </select>
                                </div>

                                <div class="form-group col-sm-4">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" placeholder="Name" name="name" value="{{ old('name') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="last_name">Known as</label>
                                    <input type="text" class="form-control" placeholder="Known as" name="known_as" value="{{ old('known_as') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Phone</label>
                                    <input type="text" class="form-control" placeholder="Phone" name="phone" value="{{ old('phone') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" placeholder="Email" name="email" value="{{ old('email') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="password">Password</label>
                                    <input type="password" class="form-control" placeholder="Password" name="password">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="password_confirmation">Confirm Password</label>
                                    <input type="password" class="form-control" placeholder="Confirm Password" name="password_confirmation">
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="password">Password must be at least 10 characters, must contain at least one lowercase, uppercase, digit and special character.</label>      
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
