@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub Details</div>
                <div class="card-body">    
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <div class="p-2">
                                <a href="{{ route('pub.index') }}">
                                    <button type="button" class="btn btn-light">Go Back</button>
                                </a>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>{{ $pub->name }}</h2>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('pub.edit', ['pub' => $pub->id]) }}">
                                    <button type="button" class="btn btn-light">Edit</button>
                                </a>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <a href="{{ route('pub.delete', ['pub' => $pub->id]) }}">
                                    <button type="button" class="btn btn-outline-primary">Delete</button>
                                </a>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <form method="GET" action="{{ URL::to('add_new_pub_manager_form')}}">
                                    @csrf
                                    <input type="hidden" name="pub_id" value="{{ $pub->id }}">
                                    <button type="submit" class="btn btn-light">Add User</button>
                                </form>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-start mb-3 sq-clear">
                            <div class="p-2 col-4">
                                <table class="table table--single">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Pub Details</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Contact</td>
                                            <td>{{ $pub->contact_person }}</td>
                                        </tr>
                                        <tr>
                                            <td>Contact Number</td>
                                            <td>{{ $pub->contact_number }}</td>
                                        </tr>
                                        <tr>
                                            <td>Address</td>
                                            <td>{{ $pub->address_line1 }}<br>
                                                {{ $pub->address_line2 }}<br>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>City</td>
                                            <td>{{ $pub->city }}</td>
                                        </tr>
                                        <tr>
                                            <td>Postcode</td>
                                            <td>{{ $pub->postcode }}</td>
                                        </tr>
                                        <tr>
                                            <td>Country</td>
                                            <td>{{ $pub->country }}</td>
                                        </tr>
                                        <tr>
                                            <td>Email</td>
                                            <td>{{ $pub->email }}</td>
                                        </tr>
                                        <tr>
                                            <td>Eircode</td>
                                            <td>{{ $pub->eircode }}</td>
                                        </tr>
                                        <tr>
                                            <td>Account No</td>
                                            <td>{{ $pub->account_no }}</td>
                                        </tr>
                                        <tr>
                                            <td>HIL Payer No</td>
                                            <td>{{ $pub->HIL_payer_no }}</td>
                                        </tr>
                                        <tr>
                                            <td>CBL Account No</td>
                                            <td>{{ $pub->HIL_payer_no }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                               <table class="table table--single">
                                    <thead>
                                        <tr>
                                            <th colspan="3">Favaorite Suppliers</th>
                                        </tr>
                                       <tr>
                                            <td>Code</td>
                                            <td>Name</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($suppliers as $supplier)
                                        <tr>
                                            <td>{{ $supplier['supplier_code'] }}</td>
                                            <td>{{ $supplier['name'] }}</td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div><!--End of p-2-->
                            <div class="p-2 col-8">
                                <table class="table table--no-id">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Known As</th>
                                            <th>Role</th>
                                            <th>Permissions</th>
                                            <th>Status</th>
                                            <th>Edit Permission</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($user_permissions as $user)  
                                            <tr>
                                                <td>{{ $user['name'] }}</td>
                                                <td>{{ $user['known_as'] }}</td>
                                                <td>{{ $user['role'] }}</td>
                                                <td>
                                                    @foreach($user['permissions'] as $per)
                                                        {{ $per->permission }}
                                                    @endforeach  
                                                </td>
                                                <td>
                                                @if($user['is_active'] == 1)
                                                <form action="{{URL::to('pub_user_status')}}" method="post">
                                                    @csrf
                                                    <input type="hidden" name="pub_id" value="{{$user['pub_id']}}">
                                                    <input type="hidden" name="user_id" value="{{$user['user_id']}}">
                                                    <input type="hidden" name="is_active" value="0">
                                                    <button type="submit" class="btn btn-success">Active</button>

                                                </form>
                                                @else
                                                 <form action="{{URL::to('pub_user_status')}}" method="post">
                                                    @csrf
                                                    <input type="hidden" name="pub_id" value="{{$user['pub_id']}}">
                                                    <input type="hidden" name="user_id" value="{{$user['user_id']}}">
                                                    <input type="hidden" name="is_active" value="1">
                                                    <button type="submit" class="btn btn-danger">Inactive</button>

                                                </form>
                                                @endif
                                                </td>
                                                <td> 
                                                    <form action="{{ URL::to('edit_permission_form')}}" 
                                                          method="POST" class="form form--edit row">
                                                          @csrf
                                                          <input type="hidden" name="pub_id" value="{{$user['pub_id']}}">
                                                          <input type="hidden" name="user_id" value="{{$user['user_id']}}">
                                                         <div class="form-group col-sm-12">
                                                            <button type="submit" class="btn btn-primary">
                                                               Edit Permission
                                                            </button>
                                                         </div>
                                                    </form>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                <table class="table table--single">
                                    <thead>
                                        <tr>
                                            <th colspan="4">Favaorite Products</th>
                                        </tr>
                                       <tr>
                                            <td>ID</td>
                                            <td>Name</td>
                                            <td>SKU</td>
                                            <td>Purchase UOM</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($products as $product)
                                        <tr>
                                            <td>{{ $product['id'] }}</td>
                                            <td>{{ $product['title'] }}</td>
                                            <td>{{ $product['SKU'] }}</td>
                                            <td>{{ $product['purchase_UOM'] }}</td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                         </div><!--End of p-2-->
                       </div><!--End of d-flex-->
                    </div><!--<div class="card-options">-->

                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
