@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub User</div>
                <div class="card-body">
                    <script>
                        function goBack() {
                            window.history.back();
                        }
                    </script>
                    <div class="card-options">

                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Create a new pub user</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <button onclick="goBack()">Go Back</button>
                            </div>
                        </div>


                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ route('pub_admin.new')}}" method="POST" class="form form--edit row">
                                @csrf
                                <div class="form-group col-sm-6">
                                    <label for="col-sm-2 control-label">
                                        Please select pub(s). Multiple pubs can be selected at once. For windows, hold down the control (ctrl) button to select multiple options. For Mac, hold down the command button to select multiple options.
                                    </label>
                                    <select class="form-control" name="pub_select[]" multiple>
                                        @foreach($pubs as $pub)
                                            <option value="{{$pub->id}}">{{$pub->name}}</option>
                                        @endforeach      
                                    </select>
                                </div>  
                                <div class="form-group col-sm-6">
                                    <label for="permissions">Permissions: </label>
                                    @foreach($permissions as $permission)
                                       <div class="form-check-inline">
                                          <label class="form-check-label">
                                              <input type="checkbox" class="form-check-input" value="{{ $permission->id }}" name="{{ $permission->title }}">
                                           {{ $permission->title }}
                                         </label>
                                      </div> 
                                    @endforeach
                                </div>    
                                <div class="form-group col-sm-4">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" placeholder="Name" name="name" value="{{ old('name') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="last_name">Known as</label>
                                    <input type="text" class="form-control" placeholder="Known as" name="known_as" value="{{ old('known_as') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Phone</label>
                                    <input type="text" class="form-control" placeholder="Phone" name="phone" value="{{ old('phone') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" placeholder="Email" name="email" value="{{ old('email') }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="password">Password</label>
                                    <input type="password" class="form-control" placeholder="Password" name="password">
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="password_confirmation">Confirm Password</label>
                                    <input type="password" class="form-control" placeholder="Confirm Password" name="password_confirmation">
                                </div>
                                <div class="form-group col-sm-12">
                                    <label for="password">Password must be at least 10 characters, must contain at least one lowercase, uppercase, digit and special character.</label>      
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
