@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub User</div>
                <div class="card-body">    
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <div class="p-2">
                                <a href="{{ route('pub_admin.index') }}">
                                    <button type="button" class="btn btn-light">Go Back</button>
                                </a>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>{{ $pub_admin->name }}</h2>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('pub_admin.edit', ['pub_admin' => $pub_admin->id]) }}">
                                    <button type="button" class="btn btn-light">Edit</button>
                                </a>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <a href="{{ route('pub_admin.delete', ['pub_admin' => $pub_admin->id]) }}">
                                    <button type="button" class="btn btn-outline-primary">Delete</button>
                                </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                        <div class="d-flex justify-content-start mb-3 sq-clear">
                            <div class="p-2 col 4">
                                <table class="table table--single">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Contact Details</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Known as</td>
                                            <td>{{ $pub_admin->known_as }}</td>
                                        </tr>
                                        <tr>
                                            <td>Phone</td>
                                            <td>{{ $pub_admin->phone }}</td>
                                        </tr>
                                        <tr>
                                            <td>Email</td>
                                            <td>{{ $pub_admin->email }}</td>
                                        </tr>
                                        <tr>
                                            <td>Role</td>
                                            <td>{{ $pub_admin->role->title }}</td>
                                        </tr>
                                                
                                    </tbody>
                                </table>
                            </div><!--End of p-2-->
                            <div class="p-2 col 4">
                                <table class="table table--single">
                                    <thead>
                                        <tr>
                                            <th>Pub Name</th> 
                                            <th>Permission</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                         @foreach($pubs as $pub)
                                        <tr>
                                            <td>
                                            <a href="{{ route('pub.single', ['pub' => $pub['id']]) }}">    
                                            {{ $pub['name']}}
                                            </a>
                                            </td>
                                            <td>
                                                 @foreach($pub['permissions'] as $per)
                                                        {{ $per->permission }}
                                                 @endforeach
                                            </td>
                                            <td>
                                                 @if($pub['is_active'] == 1)
                                                  Active
                                                 @else
                                                  Inactive
                                                 @endif
                                            </td>
                                        </tr>
                                         @endforeach
                                                
                                    </tbody>
                                </table>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection