@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub Admin</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                                <h2>Edit {{ $pub_manager->name }}</h2>
                            </div>  
                        </div> 
                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                <a href="{{ route('pub_manager.index') }}">
                                    <button type="button" class="btn btn-light">Pub Admin List</button>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{ route('pub_manager.edit', ['pub_manager' => $pub_manager->id])}}" method="POST" class="form form--edit row">
                                @csrf
                                <div class="form-group col-sm-12">
                                    <div class="row">
                                        <div class="form-group col-sm-4">
                                            <label for="col-sm-2 control-label">
                                            Please select pub(s). Multiple pubs can be selected at once. For windows, hold down the control (ctrl) button to select multiple options. For Mac, hold down the command button to select multiple options.
                                            </label>
                                            <select class="form-control" name="pub_select[]" multiple>
                                                @foreach($pubs as $pub)
                                                    <option value="{{$pub->id}}">{{$pub->name}}</option>
                                                @endforeach      
                                            </select>
                                        </div>
                                    </div>
                                </div> 
                                <div class="form-group col-sm-4">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" placeholder="Name" name="name" value="{{ $pub_manager->name }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="last_name">Known as</label>
                                    <input type="text" class="form-control" name="known_as" value="{{ $pub_manager->known_as }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="phone">Phone</label>
                                    <input type="text" class="form-control" placeholder="Phone" name="phone" value="{{ $pub_manager->phone }}" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" placeholder="Email" name="email" value="{{ $pub_manager->email }}" required>
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection