@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pub Admin</div>
                <div class="card-body">
                  <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                           <a href="{{ route('pub_manager.new') }}">
                              <button type="button" class="btn btn-light">Add New Pub Admin</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                    <div class="d-flex justify-content-end mb-3">
                          <div class="p-2">
                            <form method="post" action="{{URL::to('search_pub_admin')}}">
                              @csrf
                             <input type="text" class="form-control" placeholder="Search" id="search_pub_admin" name="search_pub_admin">
                           </form>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                  </div>
                    
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Known As</th>
                            <th>Email</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($pub_managers as $pub_manager)  
                          <tr>
                            <td>{{ $pub_manager->id }}</td>
                            <td>{{ $pub_manager->name }}</td>
                            <td>{{ $pub_manager->known_as }}</td>
                            <td>{{ $pub_manager->email }}</td>
                            <td>
                                <a href="{{ route('pub_manager.single', ['pub_manager' => $pub_manager->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $pub_managers->links() }}
                    <span class="list-total">Total: {{ $pub_managers->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
