@extends('layouts.app')

@inject('provider', 'App\Http\Controllers\Sdoc\SdocController')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">SDOCs</div>
                <div class="card-body">
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Invoice</th>
                            <th>Pub</th>
                            <th>Date</th>
                            <th>Download</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($sdocs as $sdoc)  
                          <tr>
                            <td>{{$sdoc->invoice}}</td>
                            <td>
                              <a href="{{ route('pub.single', ['pub' => $sdoc->pub->id]) }}">
                                {{$sdoc->pub->name}}
                              </a>
                            </td>
                            <td>{{$sdoc->date->format('d-m-Y')}}</td>
                            <td><a href="{{ $provider::generateLink($sdoc['filename']) }}">
                              <button type="button" class="btn btn-light">Download</button>
                           </a></td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                </div><!--End of card-body-->
            </div>
        </div>
  
    </div>
</div>
@endsection
