@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Settings</div>
                <div class="card-body">
                    <div class="card-options">
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                         <a href="{{ route('setting.new') }}">
                              <button type="button" class="btn btn-light">Add New</button>
                           </a>
                        </div>   
                    </div><!--End of d-flex-->
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Date Created</th>
                            <th>Name</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($data as $info)  
                          <tr>
                            <td>{{ $info->id}}</td>
                            <td>{{ $info->created_at->format('d-m-Y') }}</td>
                            <td>{{ $info->name }}</td>
                            <td>
                                <a href="{{ route('setting.single', ['setting' => $info->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  
                  <div class="card-pagination">
                    {{ $data->links() }}
                    <span class="list-total">Total: {{ $data->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
