@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Stock Details</div>
                <div class="card-body">
                    <div class="d-flex justify-content-end mb-3">   
                        <div class="p-2">
                           <a href="{{ route('pub_product.new') }}">
                              <button type="button" class="btn btn-light">Add Favorite Products</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('pub_product.index') }}">
                              <button type="button" class="btn btn-light">Favorite Products</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.target') }}">
                              <button type="button" class="btn btn-light">Target Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.current') }}">
                              <button type="button" class="btn btn-light">Current Stock</button>
                           </a>
                        </div>
                        <div class="p-2">
                           <a href="{{ route('stock.history') }}">
                              <button type="button" class="btn btn-light">Stock History</button>
                           </a>
                        </div>
                    </div>
                    <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Product List</h2>
                        </div>
                    </div>      
                    <table class="table">
                        <thead>
                          <tr>
                            <th>Product Name</th>
                            <th>Supplier</th>
                            <th>Total</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($products as $product)  
                          <tr>
                            <td>{{$product['title']}}</td>
                            <td>{{$product['supplier']}}</td>
                            <td>{{$product['qty']}}</td>                            
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                </div><!--End of card-body-->
            </div>
        </div>
  
    </div>
</div>
@endsection
