@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product Sub Category</div>
                <div class="card-body">
                  <div class="card-options">
                  <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                           <a href="{{ route('sub_category.new') }}">
                              <button type="button" class="btn btn-light">Add New</button>
                           </a>
                        </div><!--End of p-2-->
                  </div>      
                  <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                            <form method="post" action="{{URL::to('search_sub_category')}}">
                              @csrf
                             <input type="text" class="form-control" placeholder="Search" id="search_sub_category" name="search_sub_category">
                           </form>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('product.index') }}">
                              <button type="button" class="btn btn-light">Product</button>
                           </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('category.index') }}">
                              <button type="button" class="btn btn-light">Category</button>
                           </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('supplier.index') }}">
                              <button type="button" class="btn btn-light">Supplier</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                  </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Parent Category</th>
                            <th>Image</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($sub_categories as $sub_category)  
                          <tr>
                            <td>{{$sub_category->id}}</td>
                            <td>{{$sub_category->title}}</td>
                            <td>{{$sub_category->category->title}}</td>
                            <td>
                                
                              @if($sub_category->image != NULL)
                             <a href="{{ route('sub_category.single', ['sub_category' => $sub_category->id]) }}">
                                 <img src="https://dev.smartpub.app-ic.co.uk/admin/{{$sub_category->image}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                              </a>
                              @else
                                 <a href="{{ route('sub_category.single', ['sub_category' => $sub_category->id]) }}">
                                    <img src="{{asset('images/placeholder_image.jpg')}}" class="rounded-circle" alt="Image not found" style="width: auto; height: 40px;">
                                 </a>
                              @endif  
                          
                            </td>
                            <td>
                                <a href="{{ route('sub_category.single', ['sub_category' => $sub_category->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  <div class="card-pagination">
                    {{ $sub_categories->links() }}
                    <span class="list-total">Total: {{ $sub_categories->total() }}</span>
                  </div>
                  
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
