@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Product Sub Category</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-around mb-3">
                            <div class="d-flex justify-content-start mb-3 page-title">
                                <div class="p-2">
                                    <h2>Create a new sub category</h2>
                                </div>  
                            </div> 
                            <div class="d-flex justify-content-end mb-3 page-edit">
                                <a href="{{ route('sub_category.index') }}">
                                    <button type="button" class="btn btn-light">Sub category List</button>
                                </a>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="col-md-12 sq-clear">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                                @endforeach  
                            @endif
                            <form action="{{route('sub_category.new')}}" method="POST" class="form form--edit row" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group col-sm-4">
                                    <label for="title">Sub category name</label>
                                    <input type="text" class="form-control" placeholder="Sub Category Name" name="title">
                                </div>

                                <div class="form-group col-sm-4">
                                    <label for="col-sm-2 control-label">Select Category</label>
                                    <select class="form-control" name="category_id">
                                        @foreach($categories as $category)
                                            <option value="{{$category->id}}">{{$category->title}}</option>
                                        @endforeach      
                                    </select>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="title">Upload Image</label>
                                    <input type="file" class="form-control" name="image">
                                </div>
                                <div class="form-group col-sm-12">
                                    <button type="submit" class="btn btn-primary">Add Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

