@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Supplier</div>
                    <div class="card-body">
                        <div class="card-options">
                            <div class="d-flex justify-content-start mb-3 page-title">
                                <div class="p-2">
                                    <h2>Edit {{ $supplier->name }}</h2>
                                </div>  
                            </div> 
                            <div class="d-flex justify-content-end mb-3 page-edit">
                                <div class="p-2">
                                    <a href="{{ route('supplier.index') }}">
                                        <button type="button" class="btn btn-light">Supplier List</button>
                                    </a>
                                </div>
                            </div>


                            <div class="col-md-12 sq-clear">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <h3>{{ $error }}</h3>
                                    @endforeach  
                                @endif
                                <form action="{{ route('supplier.edit', ['supplier' => $supplier->id])}}" method="POST" class="form form--edit row">
                                    @csrf
                                    <div class="form-group col-sm-4">
                                        <label for="title">Supplier Name</label>
                                        <input type="text" class="form-control" name="name" value="{{ $supplier->name }}">
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label for="name">Supplier Code</label>
                                        <input type="text" class="form-control" name="supplier_code" value="{{ $supplier->supplier_code }}">
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label for="phone">Email</label>
                                        <input type="text" class="form-control" name="email" value="{{ $supplier->email }}">
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label for="phone">REF</label>
                                        <input type="text" class="form-control" name="REF" value="{{ $supplier->REF }}">
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <button type="submit" class="btn btn-primary">Update Now</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection



