@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Supplier</div>
                <div class="card-body">
                  <div class="card-options">
                  <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                           <a href="{{ route('supplier.new') }}">
                              <button type="button" class="btn btn-light">Add New</button>
                           </a>
                        </div><!--End of p-2-->
                  </div>      
                  <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                            <form method="post" action="{{URL::to('search_supplier')}}">
                              @csrf
                             <input type="text" class="form-control" placeholder="Search" id="search_supplier" name="search_supplier">
                           </form>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('product.index') }}">
                              <button type="button" class="btn btn-light">Product</button>
                           </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('category.index') }}">
                              <button type="button" class="btn btn-light">Category</button>
                           </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                           <a href="{{ route('sub_category.index') }}">
                              <button type="button" class="btn btn-light">Sub Category</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                  </div>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>
                                <a href="{{ route('supplier.desc') }}">
                                   Name<span class="material-icons">keyboard_arrow_down</span>
                                </a>
                            </th>
                            <th>Supplier Code</th>
                            <th>Reference</th>
                            <th>Email</th>
                            <th>View</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($suppliers as $supplier)  
                          <tr>
                            <td>{{ $supplier->id }}</td>
                            <td>{{ $supplier->name }}</td>
                            <td>{{ $supplier->supplier_code }}</td>
                            <td>{{ $supplier->REF }}</td>
                            <td>{{ $supplier->email }}</td>
                            <td>
                                <a href="{{ route('supplier.single', ['supplier' => $supplier->id]) }}">
                                  <button type="button" class="btn btn-light">View</button>
                                </a>  
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                  </table>
                  
                  <div class="card-pagination">
                    {{ $suppliers->links() }}
                    <span class="list-total">Total: {{ $suppliers->total() }}</span>
                  </div>
                </div><!--End of card-body-->
            </div>
        </div>
        
    </div>
</div>
@endsection
