<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::post('register', 'Api\AuthController@register');


Route::post('login',    'Api\AuthController@login');

Route::middleware('auth:api')->get('user',             'Api\UserController@single');
Route::middleware('auth:api')->patch('user',           'Api\UserController@edit');

Route::middleware('auth:api')->get('suppliers',        'Api\PubController@suppliers');
Route::middleware('auth:api')->get('pub/suppliers',    'Api\PubController@pub_suppliers');
Route::middleware('auth:api')->post('pub/suppliers',   'Api\PubController@add_suppliers');
Route::middleware('auth:api')->delete('pub/suppliers', 'Api\PubController@delete_suppliers');

Route::middleware('auth:api')->get('pub',              'Api\PubController@single');
Route::middleware('auth:api')->patch('pub',            'Api\PubController@edit');
Route::middleware('auth:api')->post('feedback',        'Api\PubController@feedback');


Route::middleware('auth:api')->get('products',         'Api\ProductController@index');
Route::middleware('auth:api')->get('categories',       'Api\ProductController@categories');

Route::middleware('auth:api')->get('pub/favourites',   'Api\ProductController@favourites');
Route::middleware('auth:api')->post('pub/favourites',  'Api\ProductController@add_favourites');

Route::middleware('auth:api')->get('pub/stock',        'Api\StockController@current');
Route::middleware('auth:api')->post('pub/stock',       'Api\StockController@update_stock');

Route::middleware('auth:api')->post('order',           'Api\OrderController@add_product');
Route::middleware('auth:api')
      ->post('order/{orderID}/submit/{supplierID?}',      'Api\OrderController@sendToSupplier');
Route::middleware('auth:api')
      ->post('order/{orderID}/send/{supplierID}',      'Api\OrderController@sendToUser');
Route::get('order/{orderID}/download/{supplierID}',      'Api\OrderController@download'); // Needs authentication
Route::middleware('auth:api')->get('order/history',    'Api\OrderController@history');
Route::middleware('auth:api')->get('order/history/{orderID}',    'Api\OrderController@single');
Route::get('order/export',    'Api\OrderController@export'); // Needs authentication

Route::middleware('auth:api')->get('pub/sdocs',    'Api\SdocController@index');

Route::middleware('auth:api')->get('terms',            'Api\TermsAndConditionController@terms');
Route::middleware('auth:api')->post('terms/accept',    'Api\TermsAndConditionController@accept');

Route::middleware('auth:api')->get('settings',          'Api\SettingController@index');
Route::middleware('auth:api')->get('setting/{name}',          'Api\SettingController@single');




Route::middleware('auth:api')
      ->get('pub/users', 'Api\PermissionController@get_users');

Route::middleware('auth:api')
      ->post('pub/user', 'Api\PermissionController@create_user');

Route::middleware('auth:api')
      ->patch('pub/user', 'Api\PermissionController@edit_permission');









